--AH:ScriptId=72fecc8c-dfd9-4cd8-aa10-9957bc514ccc;335
CREATE TABLE [ApplicationGroups]
(
	[ApplicationGroup_Id] INT IDENTITY(1,1) NOT NULL,
	CONSTRAINT [PK__ApplicationGroups]
	PRIMARY KEY ([ApplicationGroup_Id]),
	
	[ApplicationGroup_Name] VARCHAR(50) NOT NULL,
	[ApplicationGroup_Description] VARCHAR(MAX) NULL,
	
	[CreatedBy_User_Name] USERNAME NULL,
	[CreatedOn_Date] DATETIME NULL,
	
	[ModifiedBy_User_Name] USERNAME NULL,
	[ModifiedOn_Date] DATETIME NULL
)

GO

ALTER TABLE [ApplicationGroups]
ADD CONSTRAINT [UQ__ApplicationGroups__ApplicationGroup_Name] UNIQUE ([ApplicationGroup_Name])