--AH:ScriptId=37d4a60e-2d37-4a8a-ac57-60ff21991068;2816
INSERT INTO [ReleaseConfigurationFiles]
(
	[Application_Id],
	[Release_Number],
	[ConfigurationFile_Id],
	[Version_Number]
)
SELECT R.[Application_Id],
       R.[Release_Number],
	   CFG.[ConfigurationFile_Id],
	   [Version_Number] = CFG.[Max_Version_Number]
  FROM [Releases] R
       INNER JOIN (SELECT CFV.[ConfigurationFile_Id],
						  D.[Application_Id],
	                      [Max_Version_Number] = MAX(CFV.[Version_Number])
                     FROM [ConfigurationFileVersions] CFV
					      INNER JOIN [ConfigurationFiles] CF
						          ON CF.[ConfigurationFile_Id] = CFV.[ConfigurationFile_Id]
						  INNER JOIN [Deployables] D
						          ON D.[Deployable_Id] = CF.[Deployable_Id]
                    GROUP BY CFV.[ConfigurationFile_Id], D.[Application_Id]) CFG
			   ON CFG.[Application_Id] = R.[Application_Id]
		 LEFT JOIN [ReleaseConfigurationFiles] RCF
		        ON RCF.[Application_Id] = R.[Application_Id]
			   AND RCF.[Release_Number] = R.[Release_Number]
			   AND RCF.[ConfigurationFile_Id] = CFG.[ConfigurationFile_Id]
 WHERE RCF.[Version_Number] IS NULL