--AH:ScriptId=D45AA57C-8E77-4584-8A11-80734DD4C598

ALTER TABLE [Packages]
	ADD [PackageSource_Name] VARCHAR(50)

ALTER TABLE [Packages]
	ADD [PackageType_Code] CHAR(1)
GO

UPDATE P
   SET [PackageSource_Name] = PS.[PackageSource_Name],
       [PackageType_Code] = PS.[PackageSourceType_Code]
  FROM [Packages] P
       INNER JOIN [PackageSources] PS
	           ON PS.[PackageSource_Id] = P.[PackageSource_Id]
GO

ALTER TABLE [Packages]
	ALTER COLUMN [PackageSource_Name] VARCHAR(50) NOT NULL

ALTER TABLE [Packages]
	ALTER COLUMN [PackageType_Code] CHAR(1) NOT NULL
GO

ALTER TABLE [Packages]
	ADD CONSTRAINT [CK__Packages__PackageSourceType_Code]
		CHECK ([PackageType_Code] IN ('N', 'U'))
GO

ALTER TABLE [Packages]
	DROP CONSTRAINT [CK__Packages__Original_PackageSource_Feed_Url]
GO

ALTER TABLE [Packages]
	DROP COLUMN [Original_PackageSource_Feed_Display_Url]

ALTER TABLE [Packages]
	DROP COLUMN [Original_PackageSource_Feed_Url]

ALTER TABLE [Packages]
	DROP COLUMN [Original_PackageSource_Feed_Name]
GO

ALTER TABLE [Packages]
	DROP CONSTRAINT [FK__Packages__PackageSources]
GO

ALTER TABLE [Packages]
	DROP COLUMN [PackageSource_Id]
