EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_DeleteBuildVariable',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a build variable.'
GO

IF OBJECT_ID('[Variables_DeletePackageVariable]') IS NOT NULL DROP PROCEDURE [Variables_DeletePackageVariable]
GO
IF OBJECT_ID('[Variables_DeleteBuildVariable]') IS NOT NULL DROP PROCEDURE [Variables_DeleteBuildVariable]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_DeleteBuildVariable]
(
	@Build_Id INT,
    @Variable_Name VARCHAR(50)
)
AS
BEGIN

SET NOCOUNT ON

	DELETE [BuildVariables]
	 WHERE [Build_Id] = @Build_Id
       AND [Variable_Name] = @Variable_Name

END
GO

GRANT EXECUTE ON [Variables_DeleteBuildVariable] TO [BuildMasterUser_Role]
