--AH:ScriptId=9a495d04-3a5d-485a-b66f-1961bf7c84b4;2756
CREATE TABLE [ApplicationWorkflows]
(
	[Application_Id] INT NOT NULL,
	[Workflow_Id] INT NOT NULL,

	CONSTRAINT [FK__ApplicationWorkflows__Applications]
		FOREIGN KEY ([Application_Id])
		REFERENCES [Applications] ([Application_Id]),

	CONSTRAINT [FK__ApplicationWorkflows__Workflows]
		FOREIGN KEY ([Workflow_Id])
		REFERENCES [Workflows] ([Workflow_Id]),

	CONSTRAINT [PK__ApplicationWorkflows]
		PRIMARY KEY ([Application_Id], [Workflow_Id])
)

GO

INSERT INTO [ApplicationWorkflows]
(
	[Application_Id],
	[Workflow_Id]
)
SELECT [Application_Id],
       [Workflow_Id]
  FROM [Workflows]


ALTER TABLE [Workflows]
	DROP CONSTRAINT [FK__Workflow__Applications]

ALTER TABLE [Workflows]
	DROP COLUMN [Application_Id]